Skip to Content

Web

Fetch web pages and search the web.

  • Fetch: Returns raw content from any public URL
  • Search: Search the web using Brave Search and get structured results

Fetch

GET /web/fetch — 1 credit

Fetch content from a web page URL.

ParamTypeRequiredDefaultDescription
urlstringYesTarget web page URL
curl -H "x-api-key: sk_oms_xxx" \ "https://api.omniscrape.dev/web/fetch?url=https://example.com"

Response

{ "url": "https://example.com/", "statusCode": 200, "contentType": "text/html", "body": "<!doctype html><html lang=\"en\"><head><title>Example Domain</title>...</head><body>...</body></html>" }

GET /web/search — 2 credits

Search the web using Brave Search and return structured results.

ParamTypeRequiredDefaultDescription
qstringYesSearch query
countintegerNo10Number of results (1-50)
curl -H "x-api-key: sk_oms_xxx" \ "https://api.omniscrape.dev/web/search?q=latest+AI+news&count=5"

Response

{ "query": "latest AI news", "results": [ { "title": "AI News - Latest Updates", "url": "https://example.com/ai-news", "description": "The latest developments in artificial intelligence..." } // ... more results ], "count": 5 }
Last updated on